Delete a project or project space

DELETE https://{controlplane_path}/api/1/rest/public/assetapi/project/{project_or_space_path}      

Overview

This API moves an existing project or project space to the Recycle Bin. Items in the Recycle Bin are purged after a 30-day grace period.

Important: When a project or project space is moved to the Recycle Bin,
  • All Tasks in it are disabled.
  • All Snaplexes in it are permanently deleted.
Therefore, if the project or project space is later restored,
  • You must add Snaplexes again.
  • You must enable the Tasks again and associate them with the appropriate Snaplexes.

Prerequisites

  • Environment (Org) admin permissions or Full Access permissions to the project or project space

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
project_or_space_path The path to the SnapLogic project or project space.
Format:
  • Project: /{env_org}/{project_space}/{project_name}
  • Project space: /{env_org}/{project_space}

Default: /

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

Response

{
    "response_map": {},
    "http_status_code": 200
}